<template>
	<view class="page">
		<cu-custom :isBack="true" title="消息中心"></cu-custom>
		<view class="cu-list box-shadow menu">
		  <view class="cu-item arrow margin-top-xs" v-for="message in list" :key="message.id">
					<text class="cuIcon-notice lg text-gray" style="font-size:18px;"></text>
        	<view class="content margin-left-sm">
						<view>系统通知</view>
          	<text class="text-black">{{message.title}}</text>
        	</view>
			</view>
			<view class="cu-item arrow margin-top-xs" @tap="report">
					<text class="cuIcon-notice lg text-gray" style="font-size:18px;"></text>
        	<view class="content margin-left-sm">
          	<text class="text-black">学生综合素质报告</text>
        	</view>
			</view>
		</view>
	</view>
</template>

<script>
import { _getNotice } from '@/api/auth'
export default {
  data() {
    return {
      list: []
    }
  },
  onLoad() {
    this.get_list()
  },
  methods: {
    report() {
      uni.showToast({ title: '学期末才能领取对应的学生综合素质报告，敬请期待!', icon: 'none', duration: 2000 })
    },
    get_list() {
      _getNotice().then(res => {
        this.list = res.data.notice_data
      })
    }
  }
}
</script>

<style lang="scss" scoped>
.page{
	height:100vh;
}
</style>
